Bug 230955 - Kernel crash do_IRQ: stack overflow: 500
Kernel crash do_IRQ: stack overflow: 500
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-04 20:59 EST by Stuart Midgley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-20 09:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server crash (27.78 KB, text/plain)
2007-03-05 17:54 EST, Stuart Midgley
no flags Details
server crashed while posting last file (23.06 KB, text/plain)
2007-03-05 18:04 EST, Stuart Midgley
no flags Details

  None (edit)
Description Stuart Midgley 2007-03-04 20:59:02 EST
Description of problem:
kernel is crashing daily with  do_IRQ: stack overflow: 500

This has been occuring for the last few kernel updates.  I have only just manged to get a kernel crash 
dump.


Version-Release number of selected component (if applicable): 
Linux gem.ods.org 2.6.19-1.2288.2.1.fc5 #1 Thu Feb 22 10:55:56 EST 2007 i686 i686 i386 GNU/Linux



How reproducible:
Very


Steps to Reproduce:
1. Turn computer
2. Boot into fedora
3. Wait
  
Actual results:


Expected results:


Additional info:
Crash dump included in bug report.
Comment 1 Chuck Ebbert 2007-03-05 09:30:54 EST
Where is the oops message from the crash? We need to see it.
Comment 2 Stuart Midgley 2007-03-05 17:54:51 EST
Created attachment 149302 [details]
server crash
Comment 3 Stuart Midgley 2007-03-05 18:04:23 EST
Created attachment 149303 [details]
server crashed while posting last file

ok, here is another crash generated just after I posted the last crash dump :) 
Happening every night now.
Comment 4 Stuart Midgley 2007-03-10 22:13:46 EST
This crash appears to co-incide with one of my pci ide cards having difficulty.  The ide card (ITE8212f) 
started loosing functionality (setting dma, pio etc caused the system to drop disks from my software raid 
set) until it was only left with 16bit, no dma etc (bandwidth was down to 2MB/s).  I have since replaced the 
card and the system appears to be working a lot better (bandwidth up).

So, could this stack overflow be caused by an IO error interupt at just the wrong time?
Comment 5 Stuart Midgley 2007-03-11 00:17:44 EST
I take back my previous comment.  I just had a crash :)  Unfortunately, no kernel dump :(
Comment 6 Stuart Midgley 2007-03-13 04:30:57 EDT
do_IRQ: stack overflow: 500
 [<c0404d9f>] dump_trace+0x69/0x1b6
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c04054c7>] show_trace+0xf/0x11
 [<c0405551>] dump_stack+0x15/0x17
 [<c040603a>] do_IRQ+0x84/0xe2
 [<c04047c2>] common_interrupt+0x1a/0x20
 [<c055dbe2>] ide_outl+0x1/0x2
 [<c0563ee7>] ide_dma_setup+0x4c/0x86
 [<c0565f3c>] ide_do_rw_disk+0x35e/0x4bb
 [<c055d0b3>] ide_do_request+0x72d/0x8db
 [<c04d0728>] __generic_unplug_device+0x1d/0x1f
 [<c04cdd17>] elv_insert+0x161/0x20b
 [<c04d20db>] __make_request+0x37f/0x3c5
 [<c04cfaa1>] generic_make_request+0x29d/0x2ad
 [<e0153ab4>] handle_stripe+0x1fa3/0x213d [raid456]
 [<e0154c57>] make_request+0x589/0x664 [raid456]
 [<c04cfaa1>] generic_make_request+0x29d/0x2ad
 [<e0069456>] __map_bio+0xe4/0x116 [dm_mod]
 [<e0069d16>] __split_bio+0x18b/0x444 [dm_mod]
 [<e006a615>] dm_request+0xb0/0xbd [dm_mod]
 [<c04cfaa1>] generic_make_request+0x29d/0x2ad
 [<c04d176d>] submit_bio+0xdc/0xe3
 [<c047e543>] submit_bh+0x128/0x148
 [<c047f432>] ll_rw_block+0x88/0xa4
 [<e01cd420>] search_by_key+0x110/0xd92 [reiserfs]
 [<e01ce39c>] search_for_position_by_key+0x3a/0x2f7 [reiserfs]
 [<e01bb0b0>] _get_block_create_0+0xab/0x5d8 [reiserfs]
 [<e01bc8b5>] reiserfs_get_block+0xcd/0x1150 [reiserfs]
 [<c0485610>] do_mpage_readpage+0x238/0x5ab
 [<c0485e8c>] mpage_readpages+0xab/0x127
 [<c044c487>] __do_page_cache_readahead+0x10c/0x1cb
 [<c044c592>] blockable_page_cache_readahead+0x4c/0x9f
 [<c044c661>] make_ahead_window+0x7c/0x99
 [<c044c7f1>] page_cache_readahead+0x173/0x196
 [<c044724b>] do_generic_mapping_read+0x12b/0x432
 [<c044936e>] generic_file_aio_read+0x160/0x1aa
 [<c046274f>] do_sync_read+0xca/0x10d
 [<c0462fda>] vfs_read+0xa6/0x157
 [<c0463364>] sys_read+0x41/0x67
 [<c0403e3b>] syscall_call+0x7/0xb
 [<00227402>] 0x227402
 =======================
BUG: unable to handle kernel paging request at virtual address 323278c8
 printing eip:
c060d837
*pde = 00000000
Oops: 0000 [#1]
last sysfs file: /block/hda/hda1/size
Modules linked in: ipv6 ip_conntrack_netbios_ns ipt_REJECT ipt_LOG ipt_recent xt_tcpudp xt_state 
ip_conntrack nfnetlink xt_multiport iptable_filter ip_tables x_tables reiserfs raid456 xor video sbs 
i2c_ec container button battery asus_acpi ac lp parport_pc parport ehci_hcd ohci_hcd floppy serio_raw 
ide_cd cdrom i2c_piix4 pcspkr i2c_core r8169 dm_snapshot dm_zero dm_mirror dm_mod raid1 ext3 
jbd
CPU:    0
EIP:    0060:[<c060d837>]    Not tainted VLI
EFLAGS: 00010046   (2.6.19-1.2288.2.4.fc5 #1)
EIP is at do_page_fault+0x133/0x4ef
eax: c077b080   ebx: 00000000   ecx: c077b058   edx: 0000000d
esi: 323278c8   edi: 32327830   ebp: 00000000   esp: c077b040
ds: 007b   es: 007b   ss: 0068
Process rsync (pid: 2462, ti=c077a000 task=c8c97830 task.ti=c7c5c000)
Stack: 00000000 00000000 c077b080 00000000 00000000 00000000 c077b080 c062da17
       00000000 0000000e 0000000b 00000000 323278c8 c060d704 00000000 c060c551
       00000000 c077b0cc 0000000d 323278c8 32327830 00000000 c077b0f4 0000007b
Call Trace:
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c0419d19>] account_system_time+0xa/0x8c
 [<c0424ca4>] update_process_times+0x30/0x57
 [<c0406fc4>] timer_interrupt+0x61/0x95
 [<c044314d>] handle_IRQ_event+0x1a/0x3f
 [<c044439b>] handle_level_irq+0x83/0xcc
 [<c040607c>] do_IRQ+0xc6/0xe2
 [<c04047c2>] common_interrupt+0x1a/0x20
 [<c0443144>] handle_IRQ_event+0x11/0x3f
 [<c044439b>] handle_level_irq+0x83/0xcc
 [<c040606e>] do_IRQ+0xb8/0xe2
 =======================
Code: ba 0d 00 00 00 c7 44 24 28 0b 00 00 00 e8 fe 03 00 00 3d 01 80 00 00 0f 84 c2 03 00 00 8b 
44 24 08 f7 40 30 00 02 02 00 74 01 fb <8b> 97 98 00 00 00 89 e0 25 00 f0 ff ff 89 54 24 10 f7 40 
14 ff
EIP: [<c060d837>] do_page_fault+0x133/0x4ef SS:ESP 0068:c077b040
 <3>BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c0404d9f>] dump_trace+0x69/0x1b6
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c04054c7>] show_trace+0xf/0x11
 [<c0405551>] dump_stack+0x15/0x17
 [<c042fc70>] down_read+0x12/0x26
 [<c0427f96>] blocking_notifier_call_chain+0xe/0x29
 [<c041f37e>] do_exit+0x1b/0x7e4
 [<c0405468>] die+0x291/0x2b6
 [<c060db20>] do_page_fault+0x41c/0x4ef
DWARF2 unwinder stuck at do_page_fault+0x41c/0x4ef

Leftover inexact backtrace:
 
 [<c0462685>] do_sync_read+0x0/0x10d
 [<c0462fda>] vfs_read+0xa6/0x157
 [<c0463364>] sys_read+0x41/0x67
 [<c0403e3b>] syscall_call+0x7/0xb
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000002
 printing eip:
c0404e97
*pde = 07cfc067
Oops: 0000 [#2]
last sysfs file: /block/hda/hda1/size
Modules linked in: ipv6 ip_conntrack_netbios_ns ipt_REJECT ipt_LOG ipt_recent xt_tcpudp xt_state 
ip_conntrack nfnetlink xt_multiport iptable_filter ip_tables x_tables reiserfs raid456 xor video sbs 
i2c_ec container button battery asus_acpi ac lp parport_pc parport ehci_hcd ohci_hcd floppy serio_raw 
ide_cd cdrom i2c_piix4 pcspkr i2c_core r8169 dm_snapshot dm_zero dm_mirror dm_mod raid1 ext3 
jbd
CPU:    0
EIP:    0060:[<c0404e97>]    Not tainted VLI
EFLAGS: 00010097   (2.6.19-1.2288.2.4.fc5 #1)
EIP is at dump_trace+0x161/0x1b6
eax: 00000ffd   ebx: 00000000   ecx: 00000002   edx: c0650d66
esi: 00000002   edi: 00000000   ebp: c0630d71   esp: c077aea0
ds: 007b   es: 007b   ss: 0068
Process rsync (pid: 2462, ti=c077a000 task=c8c97830 task.ti=c7c5c000)
Stack: 00000024 c041cd30 00000000 00000000 00000000 323278c8 c8c97830 00000000
       00000000 0000007b 0000007b 00000000 c060db20 00000060 00000000 c077afcc
       00000068 c8c97830 00000001 c067acc4 c0630d71 c062dd4f c0630d71 c8c97830
Call Trace:
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c04054c7>] show_trace+0xf/0x11
 [<c0405551>] dump_stack+0x15/0x17
 [<c042fc70>] down_read+0x12/0x26
 [<c0427f96>] blocking_notifier_call_chain+0xe/0x29
 [<c041f37e>] do_exit+0x1b/0x7e4
 [<c0405468>] die+0x291/0x2b6
 [<c060db20>] do_page_fault+0x41c/0x4ef
DWARF2 unwinder stuck at do_page_fault+0x41c/0x4ef

Leftover inexact backtrace:
 
 [<c0462685>] do_sync_read+0x0/0x10d
 [<c0462fda>] vfs_read+0xa6/0x157
 [<c0463364>] sys_read+0x41/0x67
 [<c0403e3b>] syscall_call+0x7/0xb
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000002
 printing eip:
c0404e97
*pde = 07cfc067
Oops: 0000 [#3]
last sysfs file: /block/hda/hda1/size
Modules linked in: ipv6 ip_conntrack_netbios_ns ipt_REJECT ipt_LOG ipt_recent xt_tcpudp xt_state 
ip_conntrack nfnetlink xt_multiport iptable_filter ip_tables x_tables reiserfs raid456 xor video sbs 
i2c_ec container button battery asus_acpi ac lp parport_pc parport ehci_hcd ohci_hcd floppy serio_raw 
ide_cd cdrom i2c_piix4 pcspkr i2c_core r8169 dm_snapshot dm_zero dm_mirror dm_mod raid1 ext3 
jbd
CPU:    0
EIP:    0060:[<c0404e97>]    Not tainted VLI
EFLAGS: 00010097   (2.6.19-1.2288.2.4.fc5 #1)
EIP is at dump_trace+0x161/0x1b6
eax: 00000ffd   ebx: 00000000   ecx: 00000002   edx: c0650d66
esi: 00000002   edi: 00000000   ebp: c062549c   esp: c077ad0c
ds: 007b   es: 007b   ss: 0068
Process rsync (pid: 2462, ti=c077a000 task=c8c97830 task.ti=c7c5c000)
Stack: c077ad14 c077ad58 00000000 00000002 c0650d66 323278c8 c8c97830 00000000
       00000ffd 0000007b c041007b ffffffff c060db20 00000060 00010097 c077afcc
       00000068 c8c97830 c077af03 c067acc4 c062549c c062549c c062549c 00000018
Call Trace:
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c0404fb3>] show_stack_log_lvl+0x9b/0xa3
 [<c0405142>] show_registers+0x187/0x21c
 [<c0405378>] die+0x1a1/0x2b6
 [<c060db20>] do_page_fault+0x41c/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c0404e97>] dump_trace+0x161/0x1b6
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c04054c7>] show_trace+0xf/0x11
 [<c0405551>] dump_stack+0x15/0x17
 [<c042fc70>] down_read+0x12/0x26
 [<c0427f96>] blocking_notifier_call_chain+0xe/0x29
 [<c041f37e>] do_exit+0x1b/0x7e4
 [<c0405468>] die+0x291/0x2b6
 [<c060db20>] do_page_fault+0x41c/0x4ef
DWARF2 unwinder stuck at do_page_fault+0x41c/0x4ef

Leftover inexact backtrace:
 
 [<c0462685>] do_sync_read+0x0/0x10d
 [<c0462fda>] vfs_read+0xa6/0x157
 [<c0463364>] sys_read+0x41/0x67
 [<c0403e3b>] syscall_call+0x7/0xb
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000002
 printing eip:
c0404e97
*pde = 07cfc067
Recursive die() failure, output suppressed
Comment 7 Stuart Midgley 2007-03-13 18:09:04 EDT
do_IRQ: stack overflow: 500
 [<c0404d9f>] dump_trace+0x69/0x1b6
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c04054c7>] show_trace+0xf/0x11
 [<c0405551>] dump_stack+0x15/0x17
 [<c040603a>] do_IRQ+0x84/0xe2
 [<c04047c2>] common_interrupt+0x1a/0x20
 [<c055dc5d>] ide_mm_inb+0x2/0x6
 [<c0563f04>] ide_dma_setup+0x69/0x86
 [<c0565f3c>] ide_do_rw_disk+0x35e/0x4bb
 [<c055d0b3>] ide_do_request+0x72d/0x8db
 [<c04d0728>] __generic_unplug_device+0x1d/0x1f
 [<c04cdd17>] elv_insert+0x161/0x20b
 [<c04d20db>] __make_request+0x37f/0x3c5
 [<c04cfaa1>] generic_make_request+0x29d/0x2ad
 [<e014fab4>] handle_stripe+0x1fa3/0x213d [raid456]
 [<e0150c57>] make_request+0x589/0x664 [raid456]
 [<c04cfaa1>] generic_make_request+0x29d/0x2ad
 [<e0069456>] __map_bio+0xe4/0x116 [dm_mod]
 [<e0069d16>] __split_bio+0x18b/0x444 [dm_mod]
 [<e006a615>] dm_request+0xb0/0xbd [dm_mod]
 [<c04cfaa1>] generic_make_request+0x29d/0x2ad
 [<c04d176d>] submit_bio+0xdc/0xe3
 [<c047e543>] submit_bh+0x128/0x148
 [<c047f432>] ll_rw_block+0x88/0xa4
 [<e01c9420>] search_by_key+0x110/0xd92 [reiserfs]
 [<e01ca39c>] search_for_position_by_key+0x3a/0x2f7 [reiserfs]
 [<e01b70b0>] _get_block_create_0+0xab/0x5d8 [reiserfs]
 [<e01b88b5>] reiserfs_get_block+0xcd/0x1150 [reiserfs]
 [<c0485610>] do_mpage_readpage+0x238/0x5ab
 [<c0485e8c>] mpage_readpages+0xab/0x127
 [<c044c487>] __do_page_cache_readahead+0x10c/0x1cb
 [<c044c592>] blockable_page_cache_readahead+0x4c/0x9f
 [<c044c661>] make_ahead_window+0x7c/0x99
 [<c044c7f1>] page_cache_readahead+0x173/0x196
 [<c044724b>] do_generic_mapping_read+0x12b/0x432
 [<c044936e>] generic_file_aio_read+0x160/0x1aa
 [<c046274f>] do_sync_read+0xca/0x10d
 [<c0462fda>] vfs_read+0xa6/0x157
 [<c0463364>] sys_read+0x41/0x67
 [<c0403e3b>] syscall_call+0x7/0xb
 [<00ded402>] 0xded402
 =======================
BUG: unable to handle kernel paging request at virtual address 656478c8
 printing eip:
c060d837
*pde = 00000000
Oops: 0000 [#1]
last sysfs file: /block/hda/hda1/size
Modules linked in: ipv6 ip_conntrack_netbios_ns ipt_REJECT ipt_LOG ipt_recent xt_tcpudp xt_state 
ip_conntrack nfnetlink xt_multiport iptable_filter ip_tables x_tables reiserfs raid456 xor video sbs 
i2c_ec container button battery asus_acpi ac lp parport_pc parport ehci_hcd floppy ohci_hcd serio_raw 
r8169 ide_cd i2c_piix4 cdrom i2c_core pcspkr dm_snapshot dm_zero dm_mirror dm_mod raid1 ext3 
jbd
CPU:    0
EIP:    0060:[<c060d837>]    Not tainted VLI
EFLAGS: 00010046   (2.6.19-1.2288.2.4.fc5 #1)
EIP is at do_page_fault+0x133/0x4ef
eax: c077b08c   ebx: 00000000   ecx: c077b064   edx: 0000000d
esi: 656478c8   edi: 65647830   ebp: 00000000   esp: c077b04c
ds: 007b   es: 007b   ss: 0068
Process rsync (pid: 4481, ti=c077a000 task=cd9417b0 task.ti=c952f000)
Stack: 00000000 00000000 c077b08c 00000000 00000000 00000000 c077b08c c062da17
       00000000 0000000e 0000000b 00000000 656478c8 c060d704 00000000 c060c551
       00000000 c077b0d8 0000000d 656478c8 65647830 00000000 c077b100 0000007b
Call Trace:
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c0419d19>] account_system_time+0xa/0x8c
 [<c0424ca4>] update_process_times+0x30/0x57
 [<c0406fc4>] timer_interrupt+0x61/0x95
 [<c044314d>] handle_IRQ_event+0x1a/0x3f
 [<c044439b>] handle_level_irq+0x83/0xcc
 [<c040606e>] do_IRQ+0xb8/0xe2
 =======================
Code: ba 0d 00 00 00 c7 44 24 28 0b 00 00 00 e8 fe 03 00 00 3d 01 80 00 00 0f 84 c2 03 00 00 8b 
44 24 08 f7 40 30 00 02 02 00 74 01 fb <8b> 97 98 00 00 00 89 e0 25 00 f0 ff ff 89 54 24 10 f7 40 
14 ff
EIP: [<c060d837>] do_page_fault+0x133/0x4ef SS:ESP 0068:c077b04c
 <3>BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c0404d9f>] dump_trace+0x69/0x1b6
 [<c0404f04>] show_trace_log_lvl+0x18/0x2c
 [<c04054c7>] show_trace+0xf/0x11
 [<c0405551>] dump_stack+0x15/0x17
 [<c042fc70>] down_read+0x12/0x26
 [<c0427f96>] blocking_notifier_call_chain+0xe/0x29
 [<c041f37e>] do_exit+0x1b/0x7e4
 [<c0405468>] die+0x291/0x2b6
 [<c060db20>] do_page_fault+0x41c/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c060d837>] do_page_fault+0x133/0x4ef
 [<c060c551>] error_code+0x39/0x40
 [<c0419d19>] account_system_time+0xa/0x8c
 [<c0424ca4>] update_process_times+0x30/0x57
 [<c0406fc4>] timer_interrupt+0x61/0x95
 [<c044314d>] handle_IRQ_event+0x1a/0x3f
 [<c044439b>] handle_level_irq+0x83/0xcc
 [<c040606e>] do_IRQ+0xb8/0xe2
 =======================
BUG: unable to handle kernel paging request at virtual address 32303488
 printing eip:
c041f66d
*pde = 00000000
Oops: 0000 [#2]
last sysfs file: /block/hda/hda1/size
Modules linked in: ipv6 ip_conntrack_netbios_ns ipt_REJECT ipt_LOG ipt_recent xt_tcpudp xt_state 
ip_conntrack nfnetlink xt_multiport iptable_filter ip_tables x_tables reiserfs raid456 xor video sbs 
i2c_ec container button battery asus_acpi ac lp parport_pc parport ehci_hcd floppy ohci_hcd serio_raw 
r8169 ide_cd i2c_piix4 cdrom i2c_core pcspkr dm_snapshot dm_zero dm_mirror dm_mod raid1 ext3 
jbd
CPU:    0
EIP:    0060:[<c041f66d>]    Not tainted VLI
EFLAGS: 00010246   (2.6.19-1.2288.2.4.fc5 #1)
EIP is at do_exit+0x30a/0x7e4
eax: 32303464   ebx: cd941c70   ecx: c04d95ca   edx: c077a000
esi: c99f4bc0   edi: cd9417b0   ebp: 00000001   esp: c077af50
ds: 007b   es: 007b   ss: 0068
Process rsync (pid: 4481, ti=c077a000 task=cd9417b0 task.ti=c952f000)
Stack: 00000000 00000046 0000000f 00000068 c077b018 00000006 0000000b c065796b
       c077af90 c077af90 00000000 00000000 00000000 c077b04c 00000068 c077b018
       00000006 c0405468 c0625585 00000068 c077b04c 00000001 00000000 c062dac9
Call Trace:
 [<c0405468>] die+0x291/0x2b6
 [<c060db20>] do_page_fault+0x41c/0x4ef
 [<c0600051>] xfrm_calg_get_byid+0xb/0x3e
 =======================
Code: ff 89 f8 e8 c8 26 09 00 85 ed 74 19 8b 87 6c 04 00 00 83 b8 94 00 00 00 00 74 0a b8 01 00 00 
00 e8 2f 74 10 00 8b 47 04 8b 40 04 <8b> 40 24 85 c0 74 16 ff 88 80 01 00 00 83 38 02 75 0b 8b 
80 08
EIP: [<c041f66d>] do_exit+0x30a/0x7e4 SS:ESP 0068:c077af50
 <1>Fixing recursive fault but reboot is needed!
Comment 8 Chuck Ebbert 2007-03-13 18:31:52 EDT
dm layered over RAID is going to cause problems.
You might want to try the Linuxant 16k-stack kernel:

http://www.linuxant.com/driverloader/wlan/full/downloads.php
Comment 9 Stuart Midgley 2007-03-13 20:15:19 EDT
Thanks, I'll give it a go.
Comment 10 Stuart Midgley 2007-03-20 02:59:31 EDT
Yes, this appears to have resolved the issue.  My system has been up for 6 days now :)
Comment 11 Chuck Ebbert 2007-03-20 09:49:09 EDT
CANTFIX: workaround is to use the linuxant kernels.

You may need to change kernel settings if you get "out of memory" errors:

    echo 16384 >/proc/sys/vm/min_free_kbytes

This will keep more memory free.

Note You need to log in before you can comment on or make changes to this bug.